|
|
@ -151,12 +151,12 @@ result = ( |
|
|
|
|
|
|
|
top = ( |
|
|
|
Workplane() |
|
|
|
.box(amp_length, amp_width + side_width, top_width) |
|
|
|
.center(-10, -(amp_width / 2) - (0.8 / 2)) |
|
|
|
.box(amp_length, amp_width + side_width - 1, top_width) |
|
|
|
.center(-10, -(amp_width / 2)) |
|
|
|
.workplane(offset=-1.0) |
|
|
|
.line(0, amp_width + 0.8, forConstruction=True) |
|
|
|
.line(0, amp_width, forConstruction=True) |
|
|
|
.vertices() |
|
|
|
.box(amp_length - 20, 1.5, 1.5) |
|
|
|
.box(amp_length - 20, 1.4, 1.6) |
|
|
|
) |
|
|
|
|
|
|
|
result = result.cut(back_screws) |
|
|
|